SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;


CREATE TABLE `clubs` (
  `club_id` int(11) NOT NULL COMMENT 'PK',
  `name` varchar(50) NOT NULL,
  `category` char(1) NOT NULL COMMENT 'Category: core, life style, or academic.',
  `sponsored` char(1) CHARACTER SET armscii8 COLLATE armscii8_bin NOT NULL COMMENT 'Is the club sponsored?',
  `comments` text DEFAULT NULL COMMENT 'Comments about the club'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `clubs` (`club_id`, `name`, `category`, `sponsored`, `comments`) VALUES
(1, 'Butting', 'c', 'y', NULL),
(2, 'Sleeping', 'c', 'n', NULL),
(3, 'Fashion', 'l', 'n', NULL),
(4, 'Theoretical Physics', 'a', 'y', NULL),
(5, 'Singing', 'l', 'n', 'la la la');

CREATE TABLE `club_members` (
  `goat_id` int(11) NOT NULL COMMENT 'A goat id',
  `club_id` int(11) NOT NULL COMMENT 'A club id'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Which goats are in which clubs';

INSERT INTO `club_members` (`goat_id`, `club_id`) VALUES
(7, 1),
(7, 2),
(4, 3),
(4, 2),
(8, 1),
(8, 4),
(1, 1),
(1, 3),
(10, 3),
(10, 4),
(3, 1),
(3, 4),
(5, 3);

CREATE TABLE `comedians` (
  `comedian_id` int(11) NOT NULL COMMENT 'PK',
  `name` varchar(50) NOT NULL COMMENT 'Name, e.g., Aisling Bea',
  `comments` text DEFAULT NULL COMMENT 'Comments'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `comedians` (`comedian_id`, `name`, `comments`) VALUES
(1, 'Aisling Bea', 'One of the best!'),
(2, 'Paula Poundstone', 'Nobody listens.'),
(3, 'Sara Pascoe', NULL),
(4, 'Roisin Conaty', 'Not so good at math and anagrams.'),
(5, 'Isy Suttie', NULL),
(6, 'Sarah Millican', NULL),
(7, 'Jimmy Carr', NULL),
(8, 'Joe Wilkinson', NULL),
(9, 'David Mitchell', NULL),
(10, 'Eddie Izzard', NULL),
(11, 'Frankie Boyle', NULL),
(12, 'Russel Howard', 'Big guns!'),
(15, 'Trevor Noah', 'Speaks the clicky language.');

CREATE TABLE `goats` (
  `goat_id` int(11) NOT NULL COMMENT 'PK',
  `name` varchar(50) NOT NULL COMMENT 'Name, e.g., Bortar',
  `gender` char(1) DEFAULT NULL COMMENT 'Gender, F or M.',
  `fave_comedian` int(11) DEFAULT NULL COMMENT 'Favorite comedian, FK to comedians',
  `comments` text DEFAULT NULL COMMENT 'Comments about the goat'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

INSERT INTO `goats` (`goat_id`, `name`, `gender`, `fave_comedian`, `comments`) VALUES
(1, 'Flothery', 'm', 1, 'Happy, hungry, dancer.'),
(2, 'Grunter', 'f', NULL, 'Grunts.'),
(3, 'Toni', 'f', 2, 'Lives in Sherman Oaks.'),
(4, 'Bonnie', 'f', 2, 'Noisy.'),
(5, 'Adama', 'm', 7, 'Appears on every show.'),
(6, 'Blunl', 'f', 1, 'Extreme fashion.'),
(7, 'Anthree', 'm', 1, 'Rotates vectors.'),
(8, 'Ethaferon', 'f', 3, 'Looms well.'),
(10, 'Movilla', 'm', 1, 'Lurks well.');


ALTER TABLE `clubs`
  ADD PRIMARY KEY (`club_id`);

ALTER TABLE `club_members`
  ADD KEY `club_id` (`club_id`),
  ADD KEY `goat_id` (`goat_id`);

ALTER TABLE `comedians`
  ADD PRIMARY KEY (`comedian_id`);

ALTER TABLE `goats`
  ADD PRIMARY KEY (`goat_id`),
  ADD KEY `fave_comedian` (`fave_comedian`);


ALTER TABLE `clubs`
  MODIFY `club_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'PK', AUTO_INCREMENT=8;

ALTER TABLE `comedians`
  MODIFY `comedian_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'PK', AUTO_INCREMENT=20;

ALTER TABLE `goats`
  MODIFY `goat_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'PK', AUTO_INCREMENT=15;


ALTER TABLE `club_members`
  ADD CONSTRAINT `club_members_ibfk_1` FOREIGN KEY (`club_id`) REFERENCES `clubs` (`club_id`),
  ADD CONSTRAINT `club_members_ibfk_2` FOREIGN KEY (`goat_id`) REFERENCES `goats` (`goat_id`);

ALTER TABLE `goats`
  ADD CONSTRAINT `goats_ibfk_1` FOREIGN KEY (`fave_comedian`) REFERENCES `comedians` (`comedian_id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
